#******************************************************************************
# E.S.O. - VLT project
#
# "@(#) $Id: VLTfrontpanel.fp,v 1.1 2002/04/02 18:33:04 vltsccm Exp $"
#
# who       when      what
# --------  --------  ----------------------------------------------
# pbaksai   20020308  created
#
#************************************************************************
#   NAME
# 
#   SYNOPSIS
#
#   DESCRIPTION
#	This file contains the definition for the default CDE front panel.
#
#   FILES
#
#   ENVIRONMENT
#
#   RETURN VALUES
#
#   CAUTIONS
#
#   EXAMPLES
#
#   SEE ALSO
#
#   BUGS     
#
#------------------------------------------------------------------------

PANEL VltFrontPanel
{
  DISPLAY_HANDLES	 False
  DISPLAY_MENU		 False
  DISPLAY_MINIMIZE	 False
  CONTROL_BEHAVIOR	 single_click
  DISPLAY_CONTROL_LABELS False
  HELP_TOPIC		 FPOnItemFrontPanel
  HELP_VOLUME		 FPanel
}

BOX VltBox
{
  CONTAINER_NAME	VltFrontPanel
  POSITION_HINTS	first
  HELP_TOPIC		FPOnItemBox
  HELP_VOLUME		FPanel
}

CONTROL VltClock
{
  TYPE			client
  CONTAINER_NAME	VltBox
  CONTAINER_TYPE	BOX
  POSITION_HINTS	1
  CLIENT_NAME		xclock
  CLIENT_GEOMETRY	230x20
}

SWITCH VltSwitch
{
  CONTAINER_NAME	VltBox
  POSITION_HINTS	2
  NUMBER_OF_ROWS	1
  HELP_TOPIC		FPOnItemSwitch
  HELP_VOLUME		FPanel
}

CONTROL VltLoad
{
  TYPE			client
  CONTAINER_NAME	VltBox
  CONTAINER_TYPE	BOX
  POSITION_HINTS	3
  CLIENT_NAME		xload
  CLIENT_GEOMETRY	100x20
}

CONTROL Lock
{
  TYPE			icon
  CONTAINER_NAME	VltBox
  CONTAINER_TYPE	BOX
  POSITION_HINTS	4
  ICON			Fplock
  LABEL			Lock
  PUSH_ACTION		LockDisplay
  HELP_TOPIC		FPOnItemLock
  HELP_VOLUME		FPanel
}

CONTROL Busy
{
  TYPE			busy
  CONTAINER_NAME	VltBox
  CONTAINER_TYPE	BOX
  POSITION_HINTS	5
  ICON			Fplite
  ALTERNATE_ICON	FpliteY
  LABEL			Busy
  HELP_TOPIC		FPOnItemBusy
  HELP_VOLUME		FPanel
}

CONTROL Exit
{
  TYPE			icon
  CONTAINER_NAME	VltBox
  CONTAINER_TYPE	BOX
  POSITION_HINTS	6
  ICON			Fpexit
  LABEL			Exit
  PUSH_ACTION		ExitSession
  HELP_TOPIC		FPOnItemExit
  HELP_VOLUME		FPanel
}

# ___oOo___
